<?php

namespace App\Enums;

use App\Traits\ProvidesEnumOptions;

enum CashTransactionType: string
{
    use ProvidesEnumOptions;

    case DEPOSIT = 'deposit';
    case WITHDRAWAL = 'withdrawal';

    public function label(): string
    {
        return match ($this) {
            self::DEPOSIT => 'Setor Kas',
            self::WITHDRAWAL => 'Tarik Kas',
        };
    }
}
